Bug 475102 - PackageKit broken after Dec 07 Update
PackageKit broken after Dec 07 Update
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-07 14:56 EST by John Mellor
Modified: 2009-01-05 12:21 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-28 09:18:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mellor 2008-12-07 14:56:25 EST
Description of problem: Update System broken after Dec 07 Update

(Message content from the popup):
failed to get a TID: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.PackageKit.Transaction" member "SetLocale" error name "(unset)" destination "org.freedesktop.PackageKit") (0)

Following the process advised for F10 for the same problem in bug 475074, updating to the latest Test release does NOT solve the problem:

$ sudo yum --enablerepo=updates-testing-newkey update PackageKit gnome-packagekit
Loaded plugins: refresh-packagekit
updates-testing-newkey                                   | 2.3 kB     00:00     
primary.sqlite.bz2                                       | 286 kB     00:00     
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package PackageKit.i386 0:0.3.10-2.fc9 set to be updated
--> Processing Dependency: PackageKit-yum = 0.3.10-2.fc9 for package: PackageKit
--> Processing Dependency: PackageKit-udev-helper = 0.3.10-2.fc9 for package: PackageKit
--> Processing Dependency: PackageKit-yum-plugin = 0.3.10-2.fc9 for package: PackageKit
--> Processing Dependency: PackageKit-glib = 0.3.10-2.fc9 for package: PackageKit
--> Processing Dependency: python-sqlite2 for package: PackageKit
--> Processing Dependency: libpackagekit-glib.so.10 for package: PackageKit
---> Package gnome-packagekit.i386 0:0.3.10-2.fc9 set to be updated
--> Running transaction check
---> Package PackageKit-yum.i386 0:0.3.10-2.fc9 set to be updated
---> Package PackageKit-yum-plugin.i386 0:0.3.10-2.fc9 set to be updated
---> Package PackageKit-udev-helper.i386 0:0.3.10-2.fc9 set to be updated
---> Package PackageKit-glib.i386 0:0.3.10-2.fc9 set to be updated
---> Package python-sqlite2.i386 1:2.3.3-3.fc9 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                  Arch   Version         Repository               Size 
================================================================================
Installing:
 PackageKit-glib          i386   0.3.10-2.fc9    updates-testing-newkey   114 k
     replacing  PackageKit-libs.i386 0.2.5-1.fc9

 PackageKit-yum-plugin    i386   0.3.10-2.fc9    updates-testing-newkey    48 k
     replacing  yum-packagekit.i386 0.2.5-1.fc9

Updating:
 PackageKit               i386   0.3.10-2.fc9    updates-testing-newkey   334 k
 gnome-packagekit         i386   0.3.10-2.fc9    updates-testing-newkey   5.3 M
Installing for dependencies:
 PackageKit-udev-helper   i386   0.3.10-2.fc9    updates-testing-newkey    47 k
 PackageKit-yum           i386   0.3.10-2.fc9    updates-testing-newkey   103 k
 python-sqlite2           i386   1:2.3.3-3.fc9   fedora                    82 k

Transaction Summary
================================================================================
Install      5 Package(s)         
Update       2 Package(s)         
Remove       0 Package(s)         

Total download size: 6.1 M
Is this ok [y/N]: y
Downloading Packages:
(1/7): PackageKit-udev-helper-0.3.10-2.fc9.i386.rpm      |  47 kB     00:00     
(2/7): PackageKit-yum-plugin-0.3.10-2.fc9.i386.rpm       |  48 kB     00:00     
(3/7): python-sqlite2-2.3.3-3.fc9.i386.rpm               |  82 kB     00:00     
(4/7): PackageKit-yum-0.3.10-2.fc9.i386.rpm              | 103 kB     00:00     
(5/7): PackageKit-glib-0.3.10-2.fc9.i386.rpm             | 114 kB     00:00     
(6/7): PackageKit-0.3.10-2.fc9.i386.rpm                  | 334 kB     00:00     
(7/7): gnome-packagekit-0.3.10-2.fc9.i386.rpm            | 5.3 MB     00:07     
--------------------------------------------------------------------------------
Total                                           538 kB/s | 6.1 MB     00:11     
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID df9b0ae9
Importing GPG key 0xDF9B0AE9 "Fedora (8 and 9 testing) <fedora@fedoraproject.org>" from /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test-8-and-9-i386
Is this ok [y/N]: y
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : python-sqlite2                                  [ 1/11] 
  Installing     : PackageKit-yum                                  [ 2/11] 
  Installing     : PackageKit-glib                                 [ 3/11] 
  Installing     : PackageKit-udev-helper                          [ 4/11] 
  Updating       : PackageKit                                      [ 5/11] 
  Installing     : PackageKit-yum-plugin                           [ 6/11] 
  Updating       : gnome-packagekit                                [ 7/11] 
  Cleanup        : PackageKit                                      [ 8/11] 
  Erasing        : yum-packagekit                                  [ 9/11] 
  Cleanup        : gnome-packagekit                                [10/11] 
  Erasing        : PackageKit-libs                                 [11/11] 
ERROR:dbus.proxies:Introspect error on :1.24:/org/freedesktop/PackageKit: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.24")

Installed: PackageKit-glib.i386 0:0.3.10-2.fc9 PackageKit-yum-plugin.i386 0:0.3.10-2.fc9
Dependency Installed: PackageKit-udev-helper.i386 0:0.3.10-2.fc9 PackageKit-yum.i386 0:0.3.10-2.fc9 python-sqlite2.i386 1:2.3.3-3.fc9
Updated: PackageKit.i386 0:0.3.10-2.fc9 gnome-packagekit.i386 0:0.3.10-2.fc9
Replaced: PackageKit-libs.i386 0:0.2.5-1.fc9 yum-packagekit.i386 0:0.2.5-1.fc9
Complete!


Version-Release number of selected component (if applicable):
PackageKit-0.2.5-1.fc9.i386


How reproducible: Every time


Steps to Reproduce:
1. System -> Administration -> Update System
2. Note failure
  
Actual results: as above

Expected results: normal system update


Additional info: This appears to be the same as Bug 475074 in F10.  My system is now updated per response in 475074 to update to the release in the test repo.  System is now at PackageKit-0.3.10-2.fc9.i386, which does NOT resolve the problem.

Given the nature of this bug, getting a fix out will be almost impossible.  Presumably when fixed, all Fedora users will need to manually download the 5+ packages required to do an update, and manually apply them in order to recover.

Since security updates cannot be performed until the fix is somehow installed, presumably the priority and severity should be bumped to the highest possible levels.
Comment 1 Julian Sikorski 2008-12-07 18:21:07 EST

*** This bug has been marked as a duplicate of bug 475068 ***
Comment 2 John Mellor 2008-12-08 18:57:45 EST
Please do not close bugs as duplicates when they are not.
This bug is for Fedora 9, not 10.
The fix requires different packages to be released.
Comment 3 John Mellor 2008-12-08 19:20:50 EST
Please do not close bugs as duplicates when they are not.
This bug is for Fedora 9, not 10.
The fix requires different packages to be released.
Comment 4 John Mellor 2008-12-08 22:27:03 EST
Manual update to PackageKit-0.3.10-3.fc9.i386 from Bodhi seems to correct the initial problem.  Update mechanism is no longer broken.
Comment 5 Alessandro Volpi 2008-12-09 08:50:16 EST
I have also found the same bug (or a similar one) !

I have installed the Dec 07 updates with the FC9 update system and I have seen that package kit was broken.

I restored the root partition with my dd backup and installed the updates once again with yum, obtaining the following output:

[~]#yum update
Loaded plugins: refresh-packagekit
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package libgnomecanvas.i386 0:2.20.1.1-4.fc9 set to be updated
---> Package kipi-plugins.i386 0:0.1.6-2.fc9 set to be updated
---> Package perl-Compress-Raw-Zlib.i386 0:2.008-39.fc9 set to be updated
---> Package perl-Compress-Zlib.i386 0:2.008-39.fc9 set to be updated
---> Package pidgin.i386 0:2.5.2-6.fc9 set to be updated
---> Package digikam.i386 0:0.9.4-3.fc9 set to be updated
---> Package PackageKit-gstreamer-plugin.i386 0:0.3.10-2.fc9 set to be updated
---> Package libkdcraw.i386 0:0.1.6-2.fc9 set to be updated
---> Package libgnomecanvas-devel.i386 0:2.20.1.1-4.fc9 set to be updated
---> Package java-1.6.0-openjdk-plugin.i386 1:1.6.0.0-0.20.b09.fc9 set to be updated
---> Package perl-devel.i386 4:5.10.0-39.fc9 set to be updated
---> Package PackageKit-glib.i386 0:0.3.10-2.fc9 set to be updated
---> Package perl.i386 4:5.10.0-39.fc9 set to be updated
---> Package libglade2.i386 0:2.6.2-6.fc9 set to be updated
---> Package libdhcp4client.i386 12:4.0.0-22.fc9 set to be updated
---> Package dhclient.i386 12:4.0.0-22.fc9 set to be updated
---> Package perl-ExtUtils-ParseXS.i386 1:2.18-39.fc9 set to be updated
---> Package java-1.6.0-openjdk.i386 1:1.6.0.0-0.20.b09.fc9 set to be updated
---> Package transmission.i386 0:1.40-1.fc9 set to be updated
---> Package perl-version.i386 3:0.74-39.fc9 set to be updated
---> Package perl-IO-Compress-Base.i386 0:2.008-39.fc9 set to be updated
---> Package dbus-devel.i386 0:1.2.6-1.fc9 set to be updated
---> Package perl-Module-Pluggable.i386 1:3.60-39.fc9 set to be updated
---> Package ktorrent.i386 0:3.1.5-1.fc9 set to be updated
---> Package dbus-x11.i386 0:1.2.6-1.fc9 set to be updated
---> Package dbus.i386 0:1.2.6-1.fc9 set to be updated
---> Package gnome-packagekit.i386 0:0.3.10-2.fc9 set to be updated
---> Package PackageKit-yum-plugin.i386 0:0.3.10-2.fc9 set to be updated
---> Package dbus-libs.i386 0:1.2.6-1.fc9 set to be updated
---> Package PackageKit.i386 0:0.3.10-2.fc9 set to be updated
--> Processing Dependency: PackageKit-yum = 0.3.10-2.fc9 for package: PackageKit
--> Processing Dependency: PackageKit-udev-helper = 0.3.10-2.fc9 for package: PackageKit
--> Processing Dependency: python-sqlite2 for package: PackageKit
--> Processing Dependency: comps-extras for package: PackageKit
---> Package libglade2-devel.i386 0:2.6.2-6.fc9 set to be updated
---> Package perl-ExtUtils-MakeMaker.i386 0:6.36-39.fc9 set to be updated
---> Package xorg-x11-drv-evdev.i386 0:2.0.8-1.fc9 set to be updated
---> Package perl-Pod-Escapes.i386 1:1.04-39.fc9 set to be updated
---> Package perl-libs.i386 4:5.10.0-39.fc9 set to be updated
---> Package libpurple.i386 0:2.5.2-6.fc9 set to be updated
---> Package perl-IO-Compress-Zlib.i386 0:2.008-39.fc9 set to be updated
---> Package nfs-utils.i386 1:1.1.2-7.fc9 set to be updated
---> Package perl-Test-Harness.i386 0:2.64-39.fc9 set to be updated
---> Package rhgb.i386 1:9.0.0-8.fc9 set to be updated
---> Package perl-Pod-Simple.i386 1:3.07-39.fc9 set to be updated
---> Package ntfs-3g.i386 2:1.5130-1.fc9 set to be updated
--> Running transaction check
---> Package PackageKit-udev-helper.i386 0:0.3.10-2.fc9 set to be updated
---> Package python-sqlite2.i386 1:2.3.3-3.fc9 set to be updated
---> Package PackageKit-yum.i386 0:0.3.10-2.fc9 set to be updated
---> Package comps-extras.noarch 0:13-1 set to be updated
filelists.sqlite.bz2                                     | 6.7 MB     00:07     
22f3a629a33d6381d7dbd4205beb5252313babb2-filelists.sqlit | 355 kB     00:00     
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                     Arch   Version                Repository     Size 
================================================================================
Installing:
 PackageKit-glib             i386   0.3.10-2.fc9           updates-newkey 114 k
     replacing  PackageKit-libs.i386 0.2.5-1.fc9

 PackageKit-gstreamer-plugin i386   0.3.10-2.fc9           updates-newkey  53 k
     replacing  codeina.noarch 0.10.1-8.fc9

 PackageKit-yum-plugin       i386   0.3.10-2.fc9           updates-newkey  48 k
     replacing  yum-packagekit.i386 0.2.5-1.fc9

Updating:
 PackageKit                  i386   0.3.10-2.fc9           updates-newkey 334 k
 dbus                        i386   1.2.6-1.fc9            updates-newkey 227 k
 dbus-devel                  i386   1.2.6-1.fc9            updates-newkey  42 k
 dbus-libs                   i386   1.2.6-1.fc9            updates-newkey 129 k
 dbus-x11                    i386   1.2.6-1.fc9            updates-newkey  36 k
 dhclient                    i386   12:4.0.0-22.fc9        updates-newkey 308 k
 digikam                     i386   0.9.4-3.fc9            updates-newkey  11 M
 gnome-packagekit            i386   0.3.10-2.fc9           updates-newkey 5.3 M
 java-1.6.0-openjdk          i386   1:1.6.0.0-0.20.b09.fc9 updates-newkey  28 M
 java-1.6.0-openjdk-plugin   i386   1:1.6.0.0-0.20.b09.fc9 updates-newkey  30 k
 kipi-plugins                i386   0.1.6-2.fc9            updates-newkey 9.3 M
 ktorrent                    i386   3.1.5-1.fc9            updates-newkey 3.2 M
 libdhcp4client              i386   12:4.0.0-22.fc9        updates-newkey 277 k
 libglade2                   i386   2.6.2-6.fc9            updates-newkey  64 k
 libglade2-devel             i386   2.6.2-6.fc9            updates-newkey  52 k
 libgnomecanvas              i386   2.20.1.1-4.fc9         updates-newkey 228 k
 libgnomecanvas-devel        i386   2.20.1.1-4.fc9         updates-newkey  77 k
 libkdcraw                   i386   0.1.6-2.fc9            updates-newkey 239 k
 libpurple                   i386   2.5.2-6.fc9            updates-newkey 7.2 M
 nfs-utils                   i386   1:1.1.2-7.fc9          updates-newkey 292 k
 ntfs-3g                     i386   2:1.5130-1.fc9         updates-newkey 191 k
 perl                        i386   4:5.10.0-39.fc9        updates-newkey  14 M
 perl-Compress-Raw-Zlib      i386   2.008-39.fc9           updates-newkey  72 k
 perl-Compress-Zlib          i386   2.008-39.fc9           updates-newkey  32 k
 perl-ExtUtils-MakeMaker     i386   6.36-39.fc9            updates-newkey 285 k
 perl-ExtUtils-ParseXS       i386   1:2.18-39.fc9          updates-newkey  32 k
 perl-IO-Compress-Base       i386   2.008-39.fc9           updates-newkey  56 k
 perl-IO-Compress-Zlib       i386   2.008-39.fc9           updates-newkey 137 k
 perl-Module-Pluggable       i386   1:3.60-39.fc9          updates-newkey  25 k
 perl-Pod-Escapes            i386   1:1.04-39.fc9          updates-newkey  19 k
 perl-Pod-Simple             i386   1:3.07-39.fc9          updates-newkey 184 k
 perl-Test-Harness           i386   2.64-39.fc9            updates-newkey  71 k
 perl-devel                  i386   4:5.10.0-39.fc9        updates-newkey 410 k
 perl-libs                   i386   4:5.10.0-39.fc9        updates-newkey 900 k
 perl-version                i386   3:0.74-39.fc9          updates-newkey  29 k
 pidgin                      i386   2.5.2-6.fc9            updates-newkey 1.3 M
 rhgb                        i386   1:9.0.0-8.fc9          updates-newkey  99 k
 transmission                i386   1.40-1.fc9             updates-newkey 1.0 M
 xorg-x11-drv-evdev          i386   2.0.8-1.fc9            updates-newkey  16 k
Installing for dependencies:
 PackageKit-udev-helper      i386   0.3.10-2.fc9           updates-newkey  47 k
 PackageKit-yum              i386   0.3.10-2.fc9           updates-newkey 103 k
 comps-extras                noarch 13-1                   fedora          46 k
 python-sqlite2              i386   1:2.3.3-3.fc9          fedora          82 k

Transaction Summary
================================================================================
Install      7 Package(s)         
Update      39 Package(s)         
Remove       0 Package(s)         

Total download size: 85 M
Is this ok [y/N]: y
Downloading Packages:
(1/46): xorg-x11-drv-evdev-2.0.8-1.fc9.i386.rpm          |  16 kB     00:00     
(2/46): perl-Pod-Escapes-1.04-39.fc9.i386.rpm            |  19 kB     00:00     
(3/46): perl-Module-Pluggable-3.60-39.fc9.i386.rpm       |  25 kB     00:00     
(4/46): perl-version-0.74-39.fc9.i386.rpm                |  29 kB     00:00     
(5/46): java-1.6.0-openjdk-plugin-1.6.0.0-0.20.b09.fc9.i |  30 kB     00:00     
(6/46): perl-ExtUtils-ParseXS-2.18-39.fc9.i386.rpm       |  32 kB     00:00     
(7/46): perl-Compress-Zlib-2.008-39.fc9.i386.rpm         |  32 kB     00:00     
(8/46): dbus-x11-1.2.6-1.fc9.i386.rpm                    |  36 kB     00:00     
(9/46): dbus-devel-1.2.6-1.fc9.i386.rpm                  |  42 kB     00:00     
http://fedora.mirror.garr.it/mirrors/fedora/linux/releases/9/Everything/i386/os/Packages/comps-extras-13-1.noarch.rpm: [Errno 12] Timeout: <urlopen error timed out>
Trying other mirror.
(10/46): comps-extras-13-1.noarch.rpm                    |  46 kB     00:00     
(11/46): PackageKit-udev-helper-0.3.10-2.fc9.i386.rpm    |  47 kB     00:00     
(12/46): PackageKit-yum-plugin-0.3.10-2.fc9.i386.rpm     |  48 kB     00:00     
(13/46): libglade2-devel-2.6.2-6.fc9.i386.rpm            |  52 kB     00:00     
(14/46): PackageKit-gstreamer-plugin-0.3.10-2.fc9.i386.r |  53 kB     00:00     
(15/46): perl-IO-Compress-Base-2.008-39.fc9.i386.rpm     |  56 kB     00:00     
(16/46): libglade2-2.6.2-6.fc9.i386.rpm                  |  64 kB     00:00     
(17/46): perl-Test-Harness-2.64-39.fc9.i386.rpm          |  71 kB     00:00     
(18/46): perl-Compress-Raw-Zlib-2.008-39.fc9.i386.rpm    |  72 kB     00:00     
(19/46): libgnomecanvas-devel-2.20.1.1-4.fc9.i386.rpm    |  77 kB     00:00     
(20/46): python-sqlite2-2.3.3-3.fc9.i386.rpm             |  82 kB     00:00     
(21/46): rhgb-9.0.0-8.fc9.i386.rpm                       |  99 kB     00:00     
(22/46): PackageKit-yum-0.3.10-2.fc9.i386.rpm            | 103 kB     00:00     
(23/46): PackageKit-glib-0.3.10-2.fc9.i386.rpm           | 114 kB     00:00     
(24/46): dbus-libs-1.2.6-1.fc9.i386.rpm                  | 129 kB     00:00     
(25/46): perl-IO-Compress-Zlib-2.008-39.fc9.i386.rpm     | 137 kB     00:00     
(26/46): perl-Pod-Simple-3.07-39.fc9.i386.rpm            | 184 kB     00:00     
(27/46): ntfs-3g-1.5130-1.fc9.i386.rpm                   | 191 kB     00:00     
(28/46): dbus-1.2.6-1.fc9.i386.rpm                       | 227 kB     00:00     
(29/46): libgnomecanvas-2.20.1.1-4.fc9.i386.rpm          | 228 kB     00:00     
(30/46): libkdcraw-0.1.6-2.fc9.i386.rpm                  | 239 kB     00:00     
(31/46): libdhcp4client-4.0.0-22.fc9.i386.rpm            | 277 kB     00:00     
(32/46): perl-ExtUtils-MakeMaker-6.36-39.fc9.i386.rpm    | 285 kB     00:00     
(33/46): nfs-utils-1.1.2-7.fc9.i386.rpm                  | 292 kB     00:00     
(34/46): dhclient-4.0.0-22.fc9.i386.rpm                  | 308 kB     00:00     
(35/46): PackageKit-0.3.10-2.fc9.i386.rpm                | 334 kB     00:00     
(36/46): perl-devel-5.10.0-39.fc9.i386.rpm               | 410 kB     00:00     
(37/46): perl-libs-5.10.0-39.fc9.i386.rpm                | 900 kB     00:01     
(38/46): transmission-1.40-1.fc9.i386.rpm                | 1.0 MB     00:01     
(39/46): pidgin-2.5.2-6.fc9.i386.rpm                     | 1.3 MB     00:01     
(40/46): ktorrent-3.1.5-1.fc9.i386.rpm                   | 3.2 MB     00:03     
(41/46): gnome-packagekit-0.3.10-2.fc9.i386.rpm          | 5.3 MB     00:05     
(42/46): libpurple-2.5.2-6.fc9.i386.rpm                  | 7.2 MB     00:08     
(43/46): kipi-plugins-0.1.6-2.fc9.i386.rpm               | 9.3 MB     00:10     
(44/46): digikam-0.9.4-3.fc9.i386.rpm                    |  11 MB     00:13     
(45/46): perl-5.10.0-39.fc9.i386.rpm                     |  14 MB     00:15     
(46/46): java-1.6.0-openjdk-1.6.0.0-0.20.b09.fc9.i386.rp |  28 MB     00:32     
--------------------------------------------------------------------------------
Total                                           605 kB/s |  85 MB     02:24     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating       : libglade2                                       [ 1/88] 
  Updating       : libgnomecanvas                                  [ 2/88] 
  Updating       : java-1.6.0-openjdk                              [ 3/88] 
  Updating       : libkdcraw                                       [ 4/88] 
  Updating       : kipi-plugins                                    [ 5/88] 
  Updating       : ktorrent                                        [ 6/88] 
  Updating       : libdhcp4client                                  [ 7/88] 
  Installing     : python-sqlite2                                  [ 8/88] 
  Updating       : java-1.6.0-openjdk-plugin                       [ 9/88] 
  Updating       : ntfs-3g                                         [10/88] 
  Updating       : xorg-x11-drv-evdev                              [11/88] 
  Updating       : dhclient                                        [12/88] 
  Updating       : rhgb                                            [13/88] 
  Updating       : nfs-utils                                       [14/88] 
  Updating       : libglade2-devel                                 [15/88] 
  Installing     : comps-extras                                    [16/88] 
  Updating       : libgnomecanvas-devel                            [17/88] 
  Updating       : dbus-libs                                       [18/88] 
  Updating       : dbus                                            [19/88] 
  Updating       : libpurple                                       [20/88] 
  Updating       : dbus-x11                                        [21/88] 
  Updating       : perl-libs                                       [22/88] 
  Installing     : PackageKit-yum                                  [23/88] 
  Updating       : pidgin                                          [24/88] 
  Updating       : transmission                                    [25/88] 
  Updating       : dbus-devel                                      [26/88] 
  Installing     : PackageKit-glib                                 [27/88] 
  Updating       : perl-version                                    [28/88] 
  Installing     : PackageKit-gstreamer-plugin                     [29/88] 
  Updating       : perl-Module-Pluggable                           [30/88] 
  Installing     : PackageKit-udev-helper                          [31/88] 
  Updating       : perl                                            [32/88] 
  Updating       : perl-IO-Compress-Base                           [33/88] 
  Updating       : perl-Pod-Escapes                                [34/88] 
  Updating       : perl-Pod-Simple                                 [35/88] 
  Installing     : PackageKit-yum-plugin                           [36/88] 
  Updating       : PackageKit                                      [37/88] 
  Updating       : perl-Compress-Raw-Zlib                          [38/88] 
  Updating       : digikam                                         [39/88] 
  Updating       : gnome-packagekit                                [40/88] 
  Updating       : perl-IO-Compress-Zlib                           [41/88] 
  Updating       : perl-Compress-Zlib                              [42/88] 
  Updating       : perl-ExtUtils-ParseXS                           [43/88] 
  Updating       : perl-devel                                      [44/88] 
  Updating       : perl-ExtUtils-MakeMaker                         [45/88] 
  Updating       : perl-Test-Harness                               [46/88] 
  Cleanup        : perl-IO-Compress-Base                           [47/88] 
  Cleanup        : nfs-utils                                       [48/88] 
  Cleanup        : perl-libs                                       [49/88] 
  Cleanup        : digikam                                         [50/88] 
  Cleanup        : dbus-x11                                        [51/88] 
  Cleanup        : java-1.6.0-openjdk-plugin                       [52/88] 
  Cleanup        : perl                                            [53/88] 
  Cleanup        : rhgb                                            [54/88] 
  Erasing        : PackageKit-libs                                 [55/88] 
  Cleanup        : dhclient                                        [56/88] 
  Cleanup        : perl-ExtUtils-ParseXS                           [57/88] 
  Cleanup        : dbus                                            [58/88] 
  Cleanup        : perl-devel                                      [59/88] 
  Cleanup        : perl-Pod-Escapes                                [60/88] 
  Cleanup        : libdhcp4client                                  [61/88] 
  Cleanup        : perl-Compress-Zlib                              [62/88] 
  Cleanup        : perl-ExtUtils-MakeMaker                         [63/88] 
  Erasing        : yum-packagekit                                  [64/88] 
  Cleanup        : libpurple                                       [65/88] 
  Erasing        : codeina                                         [66/88] 
  Cleanup        : perl-Pod-Simple                                 [67/88] 
  Cleanup        : perl-Module-Pluggable                           [68/88] 
  Cleanup        : perl-version                                    [69/88] 
  Cleanup        : gnome-packagekit                                [70/88] 
  Cleanup        : xorg-x11-drv-evdev                              [71/88] 
  Cleanup        : libgnomecanvas                                  [72/88] 
  Cleanup        : dbus-libs                                       [73/88] 
  Cleanup        : ktorrent                                        [74/88] 
  Cleanup        : perl-Compress-Raw-Zlib                          [75/88] 
  Cleanup        : libgnomecanvas-devel                            [76/88] 
  Cleanup        : libglade2                                       [77/88] 
  Cleanup        : libglade2-devel                                 [78/88] 
  Cleanup        : pidgin                                          [79/88] 
  Cleanup        : dbus-devel                                      [80/88] 
  Cleanup        : kipi-plugins                                    [81/88] 
  Cleanup        : transmission                                    [82/88] 
  Cleanup        : libkdcraw                                       [83/88] 
  Cleanup        : PackageKit                                      [84/88] 
  Cleanup        : perl-IO-Compress-Zlib                           [85/88] 
  Cleanup        : perl-Test-Harness                               [86/88] 
  Cleanup        : ntfs-3g                                         [87/88] 
  Cleanup        : java-1.6.0-openjdk                              [88/88] 
ERROR:dbus.proxies:Introspect error on :1.44:/org/freedesktop/PackageKit: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.44")

Installed: PackageKit-glib.i386 0:0.3.10-2.fc9 PackageKit-gstreamer-plugin.i386 0:0.3.10-2.fc9 PackageKit-yum-plugin.i386 0:0.3.10-2.fc9
Dependency Installed: PackageKit-udev-helper.i386 0:0.3.10-2.fc9 PackageKit-yum.i386 0:0.3.10-2.fc9 comps-extras.noarch 0:13-1 python-sqlite2.i386 1:2.3.3-3.fc9
Updated: PackageKit.i386 0:0.3.10-2.fc9 dbus.i386 0:1.2.6-1.fc9 dbus-devel.i386 0:1.2.6-1.fc9 dbus-libs.i386 0:1.2.6-1.fc9 dbus-x11.i386 0:1.2.6-1.fc9 dhclient.i386 12:4.0.0-22.fc9 digikam.i386 0:0.9.4-3.fc9 gnome-packagekit.i386 0:0.3.10-2.fc9 java-1.6.0-openjdk.i386 1:1.6.0.0-0.20.b09.fc9 java-1.6.0-openjdk-plugin.i386 1:1.6.0.0-0.20.b09.fc9 kipi-plugins.i386 0:0.1.6-2.fc9 ktorrent.i386 0:3.1.5-1.fc9 libdhcp4client.i386 12:4.0.0-22.fc9 libglade2.i386 0:2.6.2-6.fc9 libglade2-devel.i386 0:2.6.2-6.fc9 libgnomecanvas.i386 0:2.20.1.1-4.fc9 libgnomecanvas-devel.i386 0:2.20.1.1-4.fc9 libkdcraw.i386 0:0.1.6-2.fc9 libpurple.i386 0:2.5.2-6.fc9 nfs-utils.i386 1:1.1.2-7.fc9 ntfs-3g.i386 2:1.5130-1.fc9 perl.i386 4:5.10.0-39.fc9 perl-Compress-Raw-Zlib.i386 0:2.008-39.fc9 perl-Compress-Zlib.i386 0:2.008-39.fc9 perl-ExtUtils-MakeMaker.i386 0:6.36-39.fc9 perl-ExtUtils-ParseXS.i386 1:2.18-39.fc9 perl-IO-Compress-Base.i386 0:2.008-39.fc9 perl-IO-Compress-Zlib.i386 0:2.008-39.fc9 perl-Module-Pluggable.i386 1:3.60-39.fc9 perl-Pod-Escapes.i386 1:1.04-39.fc9 perl-Pod-Simple.i386 1:3.07-39.fc9 perl-Test-Harness.i386 0:2.64-39.fc9 perl-devel.i386 4:5.10.0-39.fc9 perl-libs.i386 4:5.10.0-39.fc9 perl-version.i386 3:0.74-39.fc9 pidgin.i386 0:2.5.2-6.fc9 rhgb.i386 1:9.0.0-8.fc9 transmission.i386 0:1.40-1.fc9 xorg-x11-drv-evdev.i386 0:2.0.8-1.fc9
Replaced: PackageKit-libs.i386 0:0.2.5-1.fc9 codeina.noarch 0:0.10.1-8.fc9 yum-packagekit.i386 0:0.2.5-1.fc9
Complete!
[~]#

After the installation PackageKit was not able to query the software repositories and any attempt to open a folder in package kit resulted in the following error message:

failed to get a TID: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.PackageKit.Transaction" member "SetLocale" error name "(unset)" destination "org.freedesktop.PackageKit") (0)
Comment 6 Alessandro Volpi 2008-12-09 09:00:41 EST
I was not able to find "PackageKit-0.3.10-3.fc9.i386 from Bodhi"

Yum is not able to find it.
Comment 7 Colin Walters 2008-12-10 11:12:29 EST
Should be fixed by:

https://www.redhat.com/archives/fedora-devel-list/2008-December/msg00838.html
Comment 8 Len Brown 2008-12-11 14:06:53 EST
Richard,
Exactly what command should I invoke to make "PackageKit Error"
stop happening on my FC9 box?

Assume I can be root and I can type, but otherwise don't know
and don't care to know anything about the fedora package release process.
Comment 9 Alexey Kuznetsov 2008-12-11 14:13:04 EST
now just:
yum clean all
yum update
Comment 10 Simona Avornicesei 2008-12-11 15:14:42 EST
Seems like it's not solved on
dbus-1.2.6-1.fc9.x86_64
dbus-glib-0.74-8.fc9.x86_64
dbus-x11-1.2.6-1.fc9.x86_64
dbus-qt-0.70-4.fc9.x86_64
dbus-python-0.83.0-2.fc9.x86_64
dbus-devel-1.2.6-1.fc9.x86_64
dbus-libs-1.2.6-1.fc9.x86_64

PackageKit-udev-helper-0.3.10-3.fc9.x86_64
PackageKit-yum-plugin-0.3.10-3.fc9.x86_64
PackageKit-glib-0.3.10-3.fc9.x86_64
PackageKit-0.3.10-3.fc9.x86_64
PackageKit-yum-0.3.10-3.fc9.x86_64

kernel-2.6.27.5-41.fc9.x86_64

When I installed pulseaudio, I received the following:
Running Transaction                                                                           
  Installing     : pulseaudio-core-libs                              [1/2]                    
  Installing     : pulseaudio                                        [2/2]                    
ERROR:dbus.proxies:Introspect error on :1.57:/org/freedesktop/PackageKit: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.57")                                                                 

Installed: pulseaudio.x86_64 0:0.9.10-2.fc9
Dependency Installed: pulseaudio-core-libs.x86_64 0:0.9.10-2.fc9
Comment 11 Simona Avornicesei 2008-12-11 16:25:28 EST
Same error, even with:
kernel-2.6.27.7-53.fc9.x86_64

PackageKit-udev-helper-0.3.10-3.fc9.x86_64
PackageKit-yum-plugin-0.3.10-3.fc9.x86_64
PackageKit-glib-0.3.10-3.fc9.x86_64
PackageKit-0.3.10-3.fc9.x86_64
PackageKit-yum-0.3.10-3.fc9.x86_64

dbus-libs-1.2.8-1.fc9.x86_64
dbus-devel-1.2.8-1.fc9.x86_64
dbus-glib-0.74-8.fc9.x86_64
dbus-1.2.8-1.fc9.x86_64
dbus-qt-0.70-4.fc9.x86_64
dbus-python-0.83.0-2.fc9.x86_64
dbus-x11-1.2.8-1.fc9.x86_64

Error received:
Running Transaction
  Installing     : xine-lib-pulseaudio                               [1/4]
  Installing     : pulseaudio-module-x11                             [2/4]
  Installing     : alsa-plugins-pulseaudio                           [3/4]
  Installing     : kde-settings-pulseaudio                           [4/4]
ERROR:dbus.proxies:Introspect error on :1.39:/org/freedesktop/PackageKit: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.39")

Installed: alsa-plugins-pulseaudio.x86_64 0:1.0.16-4.fc9 kde-settings-pulseaudio.noarch 0:4.0-30.fc9 pulseaudio-module-x11.x86_64 0:0.9.10-2.fc9
Dependency Installed: xine-lib-pulseaudio.x86_64 0:1.1.15-1.fc9
Comment 12 Alessandro Volpi 2008-12-12 18:20:17 EST
After the last PackageKit, dbus and kernel update everything seems to be working.

Nevertheless I have got the same error message when trying to reinstall the mozplugger plugin for Firefox:

[~]#yum reinstall mozplugger
Loaded plugins: refresh-packagekit
Setting up Reinstall Process
Resolving Dependencies
--> Running transaction check
---> Package mozplugger.i386 0:1.10.1-1 set to be updated
---> Package mozplugger.i386 0:1.10.1-1 set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package             Arch          Version           Repository           Size 
================================================================================
Installing:
 mozplugger          i386          1.10.1-1          fedora                46 k
Removing:
 mozplugger          i386          1.10.1-1          installed             89 k

Transaction Summary
================================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       1 Package(s)         

Total download size: 46 k
Is this ok [y/N]: y
Downloading Packages:
mozplugger-1.10.1-1.i386.rpm                             |  46 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Erasing        : mozplugger                                        [1/2] 
  Installing     : mozplugger                                        [1/2] 
ERROR:dbus.proxies:Introspect error on :1.26:/org/freedesktop/PackageKit: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.26")

Removed: mozplugger.i386 0:1.10.1-1
Installed: mozplugger.i386 0:1.10.1-1
Complete!

Is is worth while to remark that the installation is successful, in spite of the DBus exception, and that mozplugger is working flawlessly.
Comment 13 John Mellor 2008-12-12 22:36:07 EST
The new package rollouts work for me.  I'm back in business.
Comment 14 Pramod Dematagoda 2008-12-13 00:45:07 EST
The new DBUS package seems to have fixed the PackageKit problem, but there still are issues with gnome-power-manager and the bluetooth applet for GNOME where they seem to have lost some/all capabilities to do what they are supposed to do, what can I do to fix these problems?
Comment 15 Alessandro Volpi 2008-12-17 15:33:38 EST
I reverted to the system backed-up before the December 7th update and I installed the new amended updates.

No more "introspect errors".

PackageKit seems to be working properly.
Comment 16 Alexey Kuznetsov 2008-12-28 09:37:37 EST
bad status, should be "currentrelesae" or somting.. but not "worksforme"
Comment 17 Heikki Stahl 2009-01-05 12:21:13 EST
Instructions in Comment #9 do not fix problems in my F9. As a novice have I missed some more instructions? 

[root@fedora9 heikki]# yum clean all
Loaded plugins: priorities, refresh-packagekit
Cleaning up Everything
[root@fedora9 heikki]# yum update
Loaded plugins: priorities, refresh-packagekit
livna                                                    | 2.1 kB     00:00     
primary.sqlite.bz2                                       | 4.3 kB     00:00     
fedora                                                   | 2.4 kB     00:00     
primary.sqlite.bz2                                                            | 6.1 MB     00:43     
rpmfusion-free-updates                                                        | 2.7 kB     00:00     
76a8e3cc7038d8056b6fd07af5bda737f3cd645a-primary.sqlite.bz2                   | 356 kB     00:02     
rpmfusion-nonfree-updates                                                     | 2.7 kB     00:00     
d2e2c4e5a7d4c9bc4a7e44fa06da15c1be05c705-primary.sqlite.bz2                   | 126 kB     00:01     
rpmfusion-free                                                                |  951 B     00:00     
primary.xml.gz                                                                |  217 B     00:00     
adobe-linux-i386                                                              |  951 B     00:00     
primary.xml.gz                                                                |  10 kB     00:00     
adobe-linux-i386                                               17/17
updates-newkey                                                                | 2.3 kB     00:00     
primary.sqlite.bz2                                                            | 3.5 MB     00:21     
rpmfusion-nonfree                                                             |  951 B     00:00     
primary.xml.gz                                                                |  201 B     00:00     
updates                                                                       | 2.6 kB     00:00     
primary.sqlite.bz2                                                            | 9.1 kB     00:00     
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package squid.i386 7:3.0.STABLE10-3.fc9 set to be updated
---> Package libcurl.i386 0:7.18.2-7.fc9 set to be updated
---> Package totem-mozplugin.i386 0:2.23.2-9.fc9 set to be updated
---> Package selinux-policy.noarch 0:3.3.1-116.fc9 set to be updated
---> Package rsyslog.i386 0:3.20.2-2.fc9 set to be updated
---> Package dvd+rw-tools.i386 0:7.0-12.fc9 set to be updated
---> Package totem-gstreamer.i386 0:2.23.2-9.fc9 set to be updated
---> Package NetworkManager.i386 1:0.7.0-0.12.svn4326.fc9 set to be updated
---> Package libcurl-devel.i386 0:7.18.2-7.fc9 set to be updated
---> Package totem-nautilus.i386 0:2.23.2-9.fc9 set to be updated
---> Package dbus-devel.i386 1:1.2.4-2.fc9 set to be updated
---> Package dbus-libs.i386 1:1.2.4-2.fc9 set to be updated
---> Package selinux-policy-targeted.noarch 0:3.3.1-116.fc9 set to be updated
---> Package kernel-headers.i386 0:2.6.27.9-73.fc9 set to be updated
---> Package totem.i386 0:2.23.2-9.fc9 set to be updated
---> Package doxygen.i386 1:1.5.7.1-1.fc9 set to be updated
---> Package selinux-policy-devel.noarch 0:3.3.1-116.fc9 set to be updated
---> Package dbus-x11.i386 1:1.2.4-2.fc9 set to be updated
---> Package NetworkManager-gnome.i386 1:0.7.0-0.12.svn4326.fc9 set to be updated
---> Package NetworkManager-glib.i386 1:0.7.0-0.12.svn4326.fc9 set to be updated
---> Package kernel.i686 0:2.6.27.9-73.fc9 set to be installed
---> Package xdg-utils.noarch 0:1.0.2-5.20081121cvs.fc9 set to be updated
---> Package devhelp.i386 0:0.19.1-7.fc9 set to be updated
---> Package yum.noarch 0:3.2.20-5.fc9 set to be updated
---> Package freetype.i386 0:2.3.5-7.fc9 set to be updated
---> Package gnome-python2-extras.i386 0:2.19.1-22.fc9 set to be updated
---> Package vim-minimal.i386 2:7.2.060-1.fc9 set to be updated
---> Package gnome-python2-libegg.i386 0:2.19.1-22.fc9 set to be updated
---> Package gnome-packagekit.i386 0:0.3.12-3.fc9 set to be updated
---> Package vim-common.i386 2:7.2.060-1.fc9 set to be updated
---> Package yelp.i386 0:2.22.1-7.fc9 set to be updated
---> Package flash-plugin.i386 0:10.0.15.3-release set to be updated
---> Package python-setuptools.noarch 0:0.6c9-1.fc9 set to be updated
---> Package iwl4965-firmware.noarch 0:228.57.2.23-1.fc9 set to be updated
--> Processing Dependency: dbus = 1.2.6-1.fc9 for package: dbus-devel
--> Processing Dependency: dbus = 1.2.6-1.fc9 for package: dbus-libs
--> Processing Dependency: dbus = 1.2.6-1.fc9 for package: dbus-x11
---> Package totem-xine.i386 0:2.23.2-9.fc9 set to be updated
---> Package ksshaskpass.i386 0:0.5.1-1.fc9 set to be updated
---> Package gnome-python2-gtkhtml2.i386 0:2.19.1-22.fc9 set to be updated
---> Package dbus.i386 1:1.2.4-2.fc9 set to be updated
---> Package xulrunner.i386 0:1.9.0.5-1.fc9 set to be updated
---> Package libconfig.i386 0:1.2.1-3.fc9 set to be updated
---> Package vim-enhanced.i386 2:7.2.060-1.fc9 set to be updated
---> Package kdelibs3.i386 0:3.5.10-3.fc9 set to be updated
---> Package kernel-firmware.noarch 0:2.6.27.9-73.fc9 set to be updated
---> Package gimp.i386 2:2.6.3-2.fc9 set to be updated
---> Package firefox.i386 0:3.0.5-1.fc9 set to be updated
---> Package xulrunner-devel.i386 0:1.9.0.5-1.fc9 set to be updated
---> Package freetype-devel.i386 0:2.3.5-7.fc9 set to be updated
--> Finished Dependency Resolution
dbus-devel-1.2.6-1.fc9.i386 from installed has depsolving problems
  --> Missing Dependency: dbus = 1.2.6-1.fc9 is needed by package dbus-devel-1.2.6-1.fc9.i386 (installed)
dbus-x11-1.2.6-1.fc9.i386 from installed has depsolving problems
  --> Missing Dependency: dbus = 1.2.6-1.fc9 is needed by package dbus-x11-1.2.6-1.fc9.i386 (installed)
dbus-libs-1.2.6-1.fc9.i386 from installed has depsolving problems
  --> Missing Dependency: dbus = 1.2.6-1.fc9 is needed by package dbus-libs-1.2.6-1.fc9.i386 (installed)
--> Running transaction check
---> Package kernel.i686 0:2.6.27.5-37.fc9 set to be erased
--> Processing Dependency: dbus = 1.2.6-1.fc9 for package: dbus-devel
--> Processing Dependency: dbus = 1.2.6-1.fc9 for package: dbus-libs
--> Processing Dependency: dbus = 1.2.6-1.fc9 for package: dbus-x11
---> Package kernel.i686 0:2.6.26.6-79.fc9 set to be erased
--> Finished Dependency Resolution
dbus-devel-1.2.6-1.fc9.i386 from installed has depsolving problems
  --> Missing Dependency: dbus = 1.2.6-1.fc9 is needed by package dbus-devel-1.2.6-1.fc9.i386 (installed)
dbus-x11-1.2.6-1.fc9.i386 from installed has depsolving problems
  --> Missing Dependency: dbus = 1.2.6-1.fc9 is needed by package dbus-x11-1.2.6-1.fc9.i386 (installed)
dbus-libs-1.2.6-1.fc9.i386 from installed has depsolving problems
  --> Missing Dependency: dbus = 1.2.6-1.fc9 is needed by package dbus-libs-1.2.6-1.fc9.i386 (installed)
Error: Missing Dependency: dbus = 1.2.6-1.fc9 is needed by package dbus-x11-1.2.6-1.fc9.i386 (installed)
Error: Missing Dependency: dbus = 1.2.6-1.fc9 is needed by package dbus-devel-1.2.6-1.fc9.i386 (installed)
Error: Missing Dependency: dbus = 1.2.6-1.fc9 is needed by package dbus-libs-1.2.6-1.fc9.i386 (installed)
[root@fedora9 heikki]#

Note You need to log in before you can comment on or make changes to this bug.